Bug 124521 - EDITING: btLr text is incorrectly updated while scrolling
Summary: EDITING: btLr text is incorrectly updated while scrolling
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Writer (show other bugs)
Version:
(earliest affected)
6.3.0.0.alpha0+
Hardware: All All
: medium normal
Assignee: Miklos Vajna
URL:
Whiteboard: target:6.3.0
Keywords: bibisected, bisected, regression
Depends on:
Blocks:
 
Reported: 2019-04-03 10:16 UTC by Xisco Faulí
Modified: 2019-04-17 09:36 UTC (History)
2 users (show)

See Also:
Crash report or crash signature:


Attachments
screencast (212.28 KB, video/mp4)
2019-04-03 10:16 UTC, Xisco Faulí
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Xisco Faulí 2019-04-03 10:16:13 UTC
Created attachment 150502 [details]
screencast

Steps to reproduce:
1. Open attachment 149826 [details] from bug 123943
2. Scroll down using the mouse to the point the table is partly displayed
3. Scroll up

-> btLr text is partly displayed

Reproduced in

Version: 6.3.0.0.alpha0+
Build ID: 93f1c3665fcdc31c36078f179ac37fd69d3ebb00
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: x11; 
Locale: ca-ES (ca_ES.UTF-8); UI-Language: en-US
Calc: threaded
Comment 1 Xisco Faulí 2019-04-03 10:17:30 UTC
Regression introduced by:

https://cgit.freedesktop.org/libreoffice/core/commit/?id=61bb90aac5038b5ff051668f7ae86eb61658e4f3

author	Miklos Vajna <vmiklos@collabora.com>	2019-02-15 16:52:20 +0100
committer	Miklos Vajna <vmiklos@collabora.com>	2019-02-15 21:23:57 +0100
commit	61bb90aac5038b5ff051668f7ae86eb61658e4f3 (patch)
tree	02de7777ed9e603655628ccb5d5af7c690934067
parent	6987f1d3982c369fef401d2fbe3714f68f4398ab (diff)
sw btlr writing mode shell: fix cursor position

Bisected with: bibisect-linux64-6.3

Adding Cc: to Miklos Vajna
Comment 2 Commit Notification 2019-04-16 12:05:20 UTC
Miklos Vajna committed a patch related to this issue.
It has been pushed to "master":

https://git.libreoffice.org/core/+/8072a926da2a02dfaf3fa848a2976634641a594f%5E%21

tdf#124521 sw btlr writing mode render: fix paint rectangle on scroll

It will be available in 6.3.0.

The patch should be included in the daily builds available at
https://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
https://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 3 Xisco Faulí 2019-04-17 09:36:50 UTC
Verified in

Version: 6.3.0.0.alpha0+
Build ID: a96167f88aa68651f055aa9096e63c9e48c8e4fa
CPU threads: 4; OS: Linux 4.15; UI render: default; VCL: gtk3; 
Locale: ca-ES (ca_ES.UTF-8); UI-Language: en-US
Calc: threaded

@Miklos Vajna, thanks for fixing this issue!!